Subject: 24.0.50; VC mishandles abbreviated file names

From: Andreas Schwab <[email-masked]>
Date: Thu, 16 Sep 2010 16:10:06 +0200

When directory-abbrev-alist maps a directory to a non-physical name of
the same then VC mishandles files located under this directory.  For
example, I have directory-abbrev-alist set to `(("\\`/daten/src/"
. ,(expand-file-name "~/src/")))) and ~/src is a symbolic link to
/daten/src.  Running vc-dir on a versioned directory under /daten/src
(which is rewritten to ~/src by abbreviate-file-name) and editing any
file there does not cause the *vc-dir* buffer to be automatically
updated.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = D4E8 DBE3 3813 BB5D FA84  5EC7 45C6 250E 6F00 984E
"And now for something completely different."